[arch-commits] Commit in rclone/repos (4 files)
Felix Yan
felixonmars at archlinux.org
Tue Jan 3 04:27:31 UTC 2017
Date: Tuesday, January 3, 2017 @ 04:27:30
Author: felixonmars
Revision: 204582
archrelease: copy trunk to community-i686, community-x86_64
Added:
rclone/repos/community-i686/PKGBUILD
(from rev 204581, rclone/trunk/PKGBUILD)
rclone/repos/community-x86_64/PKGBUILD
(from rev 204581, rclone/trunk/PKGBUILD)
Deleted:
rclone/repos/community-i686/PKGBUILD
rclone/repos/community-x86_64/PKGBUILD
---------------------------+
/PKGBUILD | 106 ++++++++++++++++++++++++++++++++++++++++++++
community-i686/PKGBUILD | 53 ----------------------
community-x86_64/PKGBUILD | 53 ----------------------
3 files changed, 106 insertions(+), 106 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2017-01-03 04:26:40 UTC (rev 204581)
+++ community-i686/PKGBUILD 2017-01-03 04:27:30 UTC (rev 204582)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=rclone
-pkgver=1.34
-pkgrel=1
-pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
-arch=('i686' 'x86_64')
-url="http://rclone.org/"
-license=('MIT')
-depends=('glibc')
-makedepends=('git' 'python2' 'pandoc' 'go')
-source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
-md5sums=('SKIP')
-
-prepare() {
- cd rclone
-
- sed -i "1s/python$/&2/" bin/make_manual.py
-
- mkdir -p .gopath/src/github.com/ncw
- ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
- export GOPATH="$PWD/.gopath"
-
- go get github.com/go-ini/ini github.com/jmespath/go-jmespath
- go get github.com/ncw/rclone
-}
-
-build() {
- cd rclone
-
- go build # -gccgoflags "$CFLAGS $LDFLAGS"
- PATH="$GOPATH/bin:$PATH" make doc
-}
-
-check() {
- cd rclone
-
- mkdir -p "$GOPATH/src/_/build/rclone/src"
- ln -s "$srcdir/rclone" "$GOPATH/src/_/build/rclone/src/rclone"
- make test || warning "Tests failed"
-}
-
-package() {
- cd rclone
- make DESTDIR="$pkgdir" install
-
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
- install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
- install -d "$pkgdir/usr/share/doc/$pkgname"
- install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
-}
Copied: rclone/repos/community-i686/PKGBUILD (from rev 204581, rclone/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2017-01-03 04:27:30 UTC (rev 204582)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.35
+pkgrel=1
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('glibc')
+makedepends=('git' 'python2' 'pandoc' 'go')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+ cd rclone
+
+ sed -i "1s/python$/&2/" bin/make_manual.py
+
+ mkdir -p .gopath/src/github.com/ncw
+ ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+ export GOPATH="$PWD/.gopath"
+
+ go get github.com/go-ini/ini github.com/jmespath/go-jmespath
+ go get github.com/ncw/rclone
+}
+
+build() {
+ cd rclone
+
+ go build # -gccgoflags "$CFLAGS $LDFLAGS"
+ PATH="$GOPATH/bin:$PATH" make doc
+}
+
+check() {
+ cd rclone
+
+ mkdir -p "$GOPATH/src/_/build/rclone/src"
+ ln -s "$srcdir/rclone" "$GOPATH/src/_/build/rclone/src/rclone"
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd rclone
+ make DESTDIR="$pkgdir" install
+
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+ install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+ install -d "$pkgdir/usr/share/doc/$pkgname"
+ install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2017-01-03 04:26:40 UTC (rev 204581)
+++ community-x86_64/PKGBUILD 2017-01-03 04:27:30 UTC (rev 204582)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=rclone
-pkgver=1.34
-pkgrel=1
-pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
-arch=('i686' 'x86_64')
-url="http://rclone.org/"
-license=('MIT')
-depends=('glibc')
-makedepends=('git' 'python2' 'pandoc' 'go')
-source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
-md5sums=('SKIP')
-
-prepare() {
- cd rclone
-
- sed -i "1s/python$/&2/" bin/make_manual.py
-
- mkdir -p .gopath/src/github.com/ncw
- ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
- export GOPATH="$PWD/.gopath"
-
- go get github.com/go-ini/ini github.com/jmespath/go-jmespath
- go get github.com/ncw/rclone
-}
-
-build() {
- cd rclone
-
- go build # -gccgoflags "$CFLAGS $LDFLAGS"
- PATH="$GOPATH/bin:$PATH" make doc
-}
-
-check() {
- cd rclone
-
- mkdir -p "$GOPATH/src/_/build/rclone/src"
- ln -s "$srcdir/rclone" "$GOPATH/src/_/build/rclone/src/rclone"
- make test || warning "Tests failed"
-}
-
-package() {
- cd rclone
- make DESTDIR="$pkgdir" install
-
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
- install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
- install -d "$pkgdir/usr/share/doc/$pkgname"
- install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
-}
Copied: rclone/repos/community-x86_64/PKGBUILD (from rev 204581, rclone/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2017-01-03 04:27:30 UTC (rev 204582)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.35
+pkgrel=1
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('glibc')
+makedepends=('git' 'python2' 'pandoc' 'go')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+ cd rclone
+
+ sed -i "1s/python$/&2/" bin/make_manual.py
+
+ mkdir -p .gopath/src/github.com/ncw
+ ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+ export GOPATH="$PWD/.gopath"
+
+ go get github.com/go-ini/ini github.com/jmespath/go-jmespath
+ go get github.com/ncw/rclone
+}
+
+build() {
+ cd rclone
+
+ go build # -gccgoflags "$CFLAGS $LDFLAGS"
+ PATH="$GOPATH/bin:$PATH" make doc
+}
+
+check() {
+ cd rclone
+
+ mkdir -p "$GOPATH/src/_/build/rclone/src"
+ ln -s "$srcdir/rclone" "$GOPATH/src/_/build/rclone/src/rclone"
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd rclone
+ make DESTDIR="$pkgdir" install
+
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+ install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+ install -d "$pkgdir/usr/share/doc/$pkgname"
+ install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}
More information about the arch-commits
mailing list